# Uses of Interface
org.eclipse.emf.cdo.common.CDOCommonView

Packages that use CDOCommonView
Package
Description
org.eclipse.emf.cdo.common
Common concepts that are differently extended in clients and servers.
org.eclipse.emf.cdo.common.lock
Common concepts for dealing with durable locks and views.
org.eclipse.emf.cdo.common.util
Common utility classes, some common interfaces and exceptions.
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.spi.common
Common service provider interfaces and useful base implementations.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.
org.eclipse.emf.cdo.transaction
Client concepts for dealing with transactions, distributed transactions and their save points.
org.eclipse.emf.cdo.view
Client concepts for dealing with views, view sets, queries, CDO objects and EMF resource sets.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOCommonView in org.eclipse.emf.cdo.common

Subinterfaces of CDOCommonView in org.eclipse.emf.cdo.common
Modifier and Type
Interface
Description
`interface`
`CDOCommonTransaction`
Abstracts the information about CDO transactions that is common to both client and server side.
Methods in org.eclipse.emf.cdo.common that return CDOCommonView
Modifier and Type
Method
Description
`CDOCommonView`
CDOCommonSession.`getView(int viewID)`
`CDOCommonView[]`
CDOCommonSession.`getViews()`

## Uses of CDOCommonView in org.eclipse.emf.cdo.common.lock

Methods in org.eclipse.emf.cdo.common.lock with parameters of type CDOCommonView
Modifier and Type
Method
Description
`static CDOLockChangeInfo`
CDOLockUtil.`createLockChangeInfo(long timestamp, CDOCommonView view, CDOBranch viewedBranch, CDOLockChangeInfo.Operation op, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType lockType, CDOLockState[] newLockStates)`
Deprecated.
As of 4.15 use `CDOLockUtil.createLockChangeInfo(CDOBranchPoint, CDOLockOwner, Collection, Collection)`.
`static CDOLockOwner`
CDOLockUtil.`createLockOwner(CDOCommonView view)`
Method parameters in org.eclipse.emf.cdo.common.lock with type arguments of type CDOCommonView
Modifier and Type
Method
Description
`static CDOLockState`
CDOLockUtil.`convertLockState(org.eclipse.net4j.util.concurrent.RWOLockManager.LockState<Object,? extends CDOCommonView> lockState)`
`static CDOLockState`
CDOLockUtil.`createLockState(org.eclipse.net4j.util.concurrent.RWOLockManager.LockState<Object,? extends CDOCommonView> lockState)`
Deprecated.
As of 4.15 use `CDOLockUtil.convertLockState(LockState)`.

## Uses of CDOCommonView in org.eclipse.emf.cdo.common.util

Methods in org.eclipse.emf.cdo.common.util with parameters of type CDOCommonView
Modifier and Type
Method
Description
`protected void`
CDOCommonEventAdapter.`onViewClosed(CDOCommonView element)`
`protected void`
CDOCommonEventAdapter.`onViewOpened(CDOCommonView view)`

## Uses of CDOCommonView in org.eclipse.emf.cdo.server

Subinterfaces of CDOCommonView in org.eclipse.emf.cdo.server
Modifier and Type
Interface
Description
`interface`
`ITransaction`
The server-side representation of a client `transaction`.
`interface`
`IView`
The server-side representation of a client `view`.

## Uses of CDOCommonView in org.eclipse.emf.cdo.spi.common

Methods in org.eclipse.emf.cdo.spi.common that return CDOCommonView
Modifier and Type
Method
Description
`CDOCommonView`
AbstractQueryResult.`getView()`
Constructors in org.eclipse.emf.cdo.spi.common with parameters of type CDOCommonView
Modifier
Constructor
Description
``
`AbstractQueryResult(CDOCommonView view, CDOQueryInfo queryInfo, int queryID)`

## Uses of CDOCommonView in org.eclipse.emf.cdo.spi.server

Subinterfaces of CDOCommonView in org.eclipse.emf.cdo.spi.server
Modifier and Type
Interface
Description
`interface`
`InternalTransaction`
If the meaning of this type isn't clear, there really should be more of a description here...
`interface`
`InternalView`
If the meaning of this type isn't clear, there really should be more of a description here...

## Uses of CDOCommonView in org.eclipse.emf.cdo.transaction

Subinterfaces of CDOCommonView in org.eclipse.emf.cdo.transaction
Modifier and Type
Interface
Description
`interface`
`CDOFileTransaction`
A transaction whose uncommitted changes can be persisted in a local file and explicitly pushed to the repository.
`interface`
`CDONestedTransaction`
A transaction-compatible facade for a `transaction scope`.
`interface`
`CDOTransaction`
A read-write view to the current (i.e.
Classes in org.eclipse.emf.cdo.transaction that implement CDOCommonView
Modifier and Type
Class
Description
`class`
`CDOPushTransaction`
Deprecated.
As of 4.30, use `CDOFileTransaction`.

## Uses of CDOCommonView in org.eclipse.emf.cdo.view

Subinterfaces of CDOCommonView in org.eclipse.emf.cdo.view
Modifier and Type
Interface
Description
`interface`
`CDOView`
A read-only view to the state of the object graph in the repository of the underlying `session` at a specific `time` at a specific `branch`.

## Uses of CDOCommonView in org.eclipse.emf.spi.cdo

Subinterfaces of CDOCommonView in org.eclipse.emf.spi.cdo
Modifier and Type
Interface
Description
`interface`
`DelegatingCDOTransaction`
SPI for a transaction wrapper that exposes exactly one delegation level.
`interface`
`InternalCDOTransaction`
If the meaning of this type isn't clear, there really should be more of a description here...
`interface`
`InternalCDOView`
If the meaning of this type isn't clear, there really should be more of a description here...